/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 1999 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "Xindice" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 1999-2001, The dbXML
 * Group, L.L.C., http://www.dbxmlgroup.com.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 * CVS $Id: Xindice.java,v 1.15 2003/12/31 01:25:54 vgritsenko Exp $
 */

package org.apache.xindice.server;

/**
 * Defines the Xindice version-related constants.
 *
 * @version CVS $Revision: 1.15 $, $Date: 2003/12/31 01:25:54 $
 */
public interface Xindice {

    // Global Property Information

    /**
     * System property specyfying location of the Xindice installation.
     * Used by the tools to locate configuration files and libraries.
     */
    public static final String PROP_XINDICE_HOME = "xindice.home";

    /**
     * System property specyfying location of the Xindice database.
     * If present, this property overrides location preferred by the driver.
     */
    public static final String PROP_XINDICE_DB_HOME = "xindice.db.home";

    /**
     *
     */
    public static final String PROP_XINDICE_CONFIGURATION = "xindice.configuration";

    // Version Information
    public static final int MajorVersion = 1;
    public static final int MinorVersion = 1;
    public static final int SubMinorVersion = 0;
    public static final String Version = "1.1b3";
    public static final String Codename = "Christmas";

    // Copyright/Authorship Information
    public static final String Title = "Xindice";
    public static final String Author = "The Apache Foundation";
    public static final String Year = "2003";
    public static final String Company = "The Apache Foundation";
    public static final String URL = "http://xml.apache.org/xindice/";

    // Default configuration if a system.xml file isn't available.
    public static final String DEFAULT_CONFIGURATION
            = "<xindice>"
            + "    <root-collection dbroot=\"./db/\" name=\"db\">"
            + "        <queryengine>"
            + "            <resolver autoindex=\"false\" class=\"org.apache.xindice.core.query.XPathQueryResolver\" />"
            + "            <resolver class=\"org.apache.xindice.core.xupdate.XUpdateQueryResolver\" />"
            + "        </queryengine>"
            + "    </root-collection>"
            + "    <xml-rpc>"
            + "        <driver name=\"xerces\" />"
            + "    </xml-rpc>"
            + "</xindice>";
}
